Page 1 of 1

Going to use Sabayon on my work computer but need Hipchat

PostPosted: Sat Mar 15, 2014 16:21
by cdysthe
Hi,

I am hoping to be able to use Sabayon on my work computer but we use Hipchat extensively and wondered if anyone have run in on Sabayon? It has installers for Arch, Ubuntu and Fedora, but I can't find anything on Sabayon. Anyone know and/or have experience with running it?

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sat Mar 15, 2014 17:04
by belcocco
It says how to do it on the site https://www.hipchat.com/downloads. Section:"Other Linux Distribution"
Download package 32 or 64 bit.
Open a console.
Extract files in a directory with the command:
Code: Select all
$tar --strip=1 -xJvf hipchat*xz.

Launch HipChat by executing in console:
Code: Select all
$./HipChat/bin/hipchat
Ciao

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sat Mar 15, 2014 17:06
by cdysthe
Thanks, I've seen that, but I would just like to know that it works before I do an install. Also, using that method means HipChat won't be updated automatically. I guess I can live with that. I guess I could try from a Live USB run of Sabayon.

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sat Mar 15, 2014 17:14
by belcocco
I did not know until 15 minutes makes the existence of HipChat. :D
I followed the steps and I saw that it works. :alien:
I think that this procedure you can do it also with a Live USB Sabayon.
The next time you reboot you lose the procedure anyway.
CIao

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sat Mar 15, 2014 18:58
by svantoviit
I wouldn't mess with source unless I really had to… and since hipchat is available in the overlays…
Code: Select all
$ eix -R hipchat
* dev-ruby/hipchat
     Available versions:  (~)0.10.0[1] (~)0.14.0 (~)1.0.1[3] {doc test ELIBC="FreeBSD" RUBY_TARGETS="ruby19"}
     Homepage:            https://github.com/hipchat/hipchat-rb
     Description:         Ruby library to interact with HipChat

* net-im/hipchat
     Available versions: 
     (1)    (~)1.95.444[2]
     (0)    (~)1.98.679[4] (~)2.1.982[4]
     Homepage:            http://www.hipchat.com/
     Description:         A Hipchat client

[1] "dev-zero" layman/dev-zero
[2] "plab" layman/plab
[3] "ruby" layman/ruby
[4] "tmacedo" layman/tmacedo

Found 2 matches.
…you can install it "kosher" using portage.

Another option is to file a package request via Bugzilla.

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sat Mar 15, 2014 21:18
by cdysthe
svantoviit wrote:I wouldn't mess with source unless I really had to… and since hipchat is available in the overlays…
Code: Select all
$ eix -R hipchat
* dev-ruby/hipchat
     Available versions:  (~)0.10.0[1] (~)0.14.0 (~)1.0.1[3] {doc test ELIBC="FreeBSD" RUBY_TARGETS="ruby19"}
     Homepage:            https://github.com/hipchat/hipchat-rb
     Description:         Ruby library to interact with HipChat

* net-im/hipchat
     Available versions: 
     (1)    (~)1.95.444[2]
     (0)    (~)1.98.679[4] (~)2.1.982[4]
     Homepage:            http://www.hipchat.com/
     Description:         A Hipchat client

[1] "dev-zero" layman/dev-zero
[2] "plab" layman/plab
[3] "ruby" layman/ruby
[4] "tmacedo" layman/tmacedo

Found 2 matches.
…you can install it "kosher" using portage.

Another option is to file a package request via Bugzilla.


This is my first run of Sabayon so what you say doesn't make much sense to me (yet). Portage/emerge and entropy is news. So my question is: It says on the Wiki that I should choose either Entropy or Portage on Sabayon. What you suggest is Portage to be "kosher" but could I do the same thing using Entropy? Sorry if this is a stupid question, but there will be a few of those coming from me the coming weeks until I get familiar with Sabayon.

And btw, Hipchat is a great application for team IM. It would be very cool if it could come with Sabayon OOTB at some point. I will file in bugzilla as suggested.

Re: Going to use Sabayon on my work computer but need Hipcha

PostPosted: Sun Mar 16, 2014 9:20
by svantoviit
The package management is covered in detail in the Wiki, so you'll have to dig into it and experiment.
It's possible and legitimate to mix Entropy and Portage, if you follow certain rules.
Here you'll find more information:
HOWTO: Install Packages on Sabayon / The Complete Portage Guide
HOWTO: Safely mix Entropy and Portage
HOWTO: Example of Installing 3rd Party Ebuilds
Good luck!